#pragma once

#include "CoreMinimal.h"
#if PLATFORM_ANDROID
#include "Android/AndroidApplication.h"
#include "Android/AndroidJNI.h"

class JavaHashMap
{
public:
	JavaHashMap(JNIEnv *Env);

	void Put(const FString& Key, const FString& Value);
	void Put(const FString& Key, int32 Value);
	void Put(const FString& Key, double Value);
	void Put(const FString& Key, bool Value);
	void Put(const FString& Key, jobject Value);

private:
	void Put(jobject Key, jobject Value);

public:
	jobject GetJavaObject();

private:
	JNIEnv      *Env;
	jobject     JavaObject;
	jmethodID   PutJavaMethodID;
};
#endif